Skip to content

Update an existing bind file of a topology

PATCH
/topologies/{topologyId}/files/{bindFileId}
curl --request PATCH \
--url https://antimony.example.com/api/topologies/example/files/example \
--header 'Authorization: Basic <credentials>' \
--header 'Content-Type: application/json' \
--data '{ "content": "example", "filePath": "example" }'
topologyId
required
string

The ID of the topology the bind file belongs to

bindFileId
required
string

The ID of the bind file to edit

A partial bind file with updated values

object
content
string
filePath
string

OK

Media typeapplication/json

The user isn’t authorized

Media typeapplication/json

Access to the resource was denied. Details in the request body.

Media typeapplication/json
object
code
integer
message
string

Example generated

{
"code": 1,
"message": "example"
}

The request was invalid. Details in the response body.

Media typeapplication/json
object
code
integer
message
string

Example generated

{
"code": 1,
"message": "example"
}

The provided access token is not valid

Media typeapplication/json